Bug 19779 - Buffer Overflow in ntpq cookedprint(), CVE-2009-0159
: Buffer Overflow in ntpq cookedprint(), CVE-2009-0159
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ntp-utils)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://xforce.iss.net/xforce/xfdb/49838
: security
:
:
  Show dependency tree
 
Reported: 2009-04-26 22:07 by
Modified: 2009-05-25 20:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-26 22:07:08
В ntpq обнаружена ошибка переполнения буфера в функции cookedprint(). При
получении специально сформированного ответа от сервера времени атакующего,
происходит переполнение буфера в ntpq, позволяющее выполнить произвольный код
на стороне клиента.

Upstream выпустил исправление в виде новой версии: 4.2.4p7-RC2 (и более
поздние).
------- Comment #1 From 2009-05-21 02:32:30 -------
ntp-4.2.4-alt5.p7 -> sisyphus:

* Wed May 20 2009 Dmitry Lebkov <dlebkov@altlinux> 4.2.4-alt5.p7

- 4.2.4p7
- fix for CVE-2009-1252 (closes: #20099)
- fix for CVE-2009-0159 (closes: #19779)
------- Comment #2 From 2009-05-22 19:24:11 -------
ок. можно закрывать.
------- Comment #3 From 2009-05-25 20:14:31 -------
closed